package ink.wgink.module.activiti.enums.oa.assignee;

/**
 * @ClassName: OaNodeManageEnum
 * @Description: 节点类型
 * @Author: wanggeng
 * @Date: 2022/4/7 09:24
 * @Version: 1.0
 */
public enum NodeTypeEnum {
    NORMAL("normal", "普通（单实例）节点"),
    MULTIPLE("multiple", "多实例节点");

    private String value;
    private String text;

    NodeTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
